InLineView (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.metamodel.relational
Class InLineView

    java.lang.Object
      org.hibernate.metamodel.relational.AbstractTableSpecification
          org.hibernate.metamodel.relational.InLineView

All Implemented Interfaces:
  Loggable, TableSpecification, ValueContainer

    public class InLineView

extends AbstractTableSpecification

A `data container` defined by a `SELECT` statement. This translates into an inline view in the SQL statements: `select ... from (select ... from logical_table_table ...) ...`

Constructor Summary
`InLineView(Schema schema, String logicalName, String select)`

Method Summary
`void` | `addCheckConstraint(String checkCondition)`
`void` | `addComment(String comment)`
`Iterable<CheckConstraint>` | `getCheckConstraints()`
`Iterable<String>` | `getComments()`
`Iterable<Index>` | `getIndexes()`
`String` | `getLoggableValueQualifier()` Get a qualifier which can be used to qualify `values` belonging to this container in their logging.
`Index` | `getOrCreateIndex(String name)`
`UniqueKey` | `getOrCreateUniqueKey(String name)`
`String` | `getQualifiedName(Dialect dialect)`
`Schema` | `getSchema()` Obtain a reference to the schema to which this table specification belongs.
`String` | `getSelect()`
`Iterable<UniqueKey>` | `getUniqueKeys()`
`String` | `toLoggableString()` Obtain the string representation of this value usable in log statements.

Methods inherited from class org.hibernate.metamodel.relational.AbstractTableSpecification
`createForeignKey, createTuple, getForeignKeys, getPrimaryKey, getTableNumber, locateOrCreateColumn, locateOrCreateDerivedValue, values`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InLineView

    public InLineView(Schema schema,
                      String logicalName,
                      String select)

Method Detail

### getSchema

    public Schema getSchema()

  Description copied from interface: `TableSpecification`
  Obtain a reference to the schema to which this table specification belongs.

  Returns:
    The schema to which this table specification belongs.

### getSelect

    public String getSelect()

### getLoggableValueQualifier

    public String getLoggableValueQualifier()

  Description copied from interface: `ValueContainer`
  Get a qualifier which can be used to qualify `values` belonging to this container in their logging.

  Returns:
    The qualifier

### getIndexes

    public Iterable<Index> getIndexes()

### getOrCreateIndex

    public Index getOrCreateIndex(String name)

### getUniqueKeys

    public Iterable<UniqueKey> getUniqueKeys()

### getOrCreateUniqueKey

    public UniqueKey getOrCreateUniqueKey(String name)

### getCheckConstraints

    public Iterable<CheckConstraint> getCheckConstraints()

### addCheckConstraint

    public void addCheckConstraint(String checkCondition)

### getComments

    public Iterable<String> getComments()

### addComment

    public void addComment(String comment)

### getQualifiedName

    public String getQualifiedName(Dialect dialect)

### toLoggableString

    public String toLoggableString()

  Description copied from interface: `Loggable`
  Obtain the string representation of this value usable in log statements.

  Returns:
    The loggable representation

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.